// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/allCarts": {
            "get": {
                "description": "Get all carts",
                "tags": [
                    "Cart"
                ],
                "summary": "Get all carts",
                "responses": {}
            }
        },
        "/allCategories": {
            "get": {
                "description": "Get all categories",
                "tags": [
                    "Category"
                ],
                "summary": "Get all categories",
                "responses": {}
            }
        },
        "/allOrderProducts": {
            "get": {
                "description": "Get all order_product",
                "tags": [
                    "OrderProduct"
                ],
                "summary": "Get all order_product",
                "responses": {}
            }
        },
        "/allOrders": {
            "get": {
                "description": "Get all orders",
                "tags": [
                    "Order"
                ],
                "summary": "Get all orders",
                "responses": {}
            }
        },
        "/allProductImages": {
            "get": {
                "description": "Get all product_images",
                "tags": [
                    "ProductImage"
                ],
                "summary": "Get all product_images",
                "responses": {}
            }
        },
        "/allProducts": {
            "get": {
                "description": "Get all products",
                "tags": [
                    "Product"
                ],
                "summary": "Get all products",
                "responses": {}
            }
        },
        "/allReviews": {
            "get": {
                "description": "Get all reviews",
                "tags": [
                    "Review"
                ],
                "summary": "Get all reviews",
                "responses": {}
            }
        },
        "/allShipings": {
            "get": {
                "description": "Get all shipings",
                "tags": [
                    "Shiping"
                ],
                "summary": "Get all shipings",
                "responses": {}
            }
        },
        "/allUsers": {
            "get": {
                "description": "Get all users",
                "tags": [
                    "User"
                ],
                "summary": "Get all users",
                "responses": {}
            }
        },
        "/allWishs": {
            "get": {
                "description": "Get all wishs",
                "tags": [
                    "Wish"
                ],
                "summary": "Get all wishs",
                "responses": {}
            }
        },
        "/bestSelling": {
            "get": {
                "description": "Get best selling product",
                "tags": [
                    "Product"
                ],
                "summary": "Get best selling product",
                "responses": {}
            }
        },
        "/bestSellingByCategoryId": {
            "get": {
                "description": "Get best selling product by category id",
                "tags": [
                    "Product"
                ],
                "summary": "Get best selling product by category id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of category",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteCart": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete cart",
                "tags": [
                    "Cart"
                ],
                "summary": "Delete cart",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of cart to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteCategory": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete category",
                "tags": [
                    "Category"
                ],
                "summary": "Delete category",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of category to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteOrder": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete order",
                "tags": [
                    "Order"
                ],
                "summary": "Delete order",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of order to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteOrderProduct": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete order_product",
                "tags": [
                    "OrderProduct"
                ],
                "summary": "Delete order_product",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of order_product to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteProduct": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete product",
                "tags": [
                    "Product"
                ],
                "summary": "Delete product",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of product to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteProductImage": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete product_image",
                "tags": [
                    "ProductImage"
                ],
                "summary": "Delete product_image",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of product_image to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteReview": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete review",
                "tags": [
                    "Review"
                ],
                "summary": "Delete review",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of review to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteShiping": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete shiping",
                "tags": [
                    "Shiping"
                ],
                "summary": "Delete shiping",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of shiping to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteUser": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete user",
                "tags": [
                    "User"
                ],
                "summary": "Delete user",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of user to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/deleteWish": {
            "delete": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Delete wish",
                "tags": [
                    "Wish"
                ],
                "summary": "Delete wish",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of wish to be deleted",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/forgotPassword": {
            "get": {
                "description": "Forgot password",
                "tags": [
                    "User"
                ],
                "summary": "Forgot password",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Email of user",
                        "name": "email",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getByCategoryId": {
            "get": {
                "description": "Get product by category id",
                "tags": [
                    "Product"
                ],
                "summary": "Get product by category id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of category",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getByCategoryName": {
            "get": {
                "description": "Get product by category name",
                "tags": [
                    "Product"
                ],
                "summary": "Get product by category name",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Name of category",
                        "name": "name",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getByUserId": {
            "get": {
                "description": "Get wish by user id",
                "tags": [
                    "Wish"
                ],
                "summary": "Get wish by user id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of user to get wish",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getCartById": {
            "get": {
                "description": "Get cart by id",
                "tags": [
                    "Cart"
                ],
                "summary": "Get cart by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of cart",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getCartByUserId": {
            "get": {
                "description": "Get cart by user id",
                "tags": [
                    "Cart"
                ],
                "summary": "Get cart by user id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of user to get cart",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getCategoryById": {
            "get": {
                "description": "Get category by id",
                "tags": [
                    "Category"
                ],
                "summary": "Get category by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of category",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getOrderById": {
            "get": {
                "description": "Get order by id",
                "tags": [
                    "Order"
                ],
                "summary": "Get order by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of order",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getOrderProductById": {
            "get": {
                "description": "Get order_product by id",
                "tags": [
                    "OrderProduct"
                ],
                "summary": "Get order_product by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of order_product",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getProductById": {
            "get": {
                "description": "Get product by id",
                "tags": [
                    "Product"
                ],
                "summary": "Get product by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of product",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getProductImagesById": {
            "get": {
                "description": "Get product_image by id",
                "tags": [
                    "ProductImage"
                ],
                "summary": "Get product_image by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of product_image",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getReviewById": {
            "get": {
                "description": "Get review by id",
                "tags": [
                    "Review"
                ],
                "summary": "Get review by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of review",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getReviewByProductId": {
            "get": {
                "description": "Get review by product id",
                "tags": [
                    "Review"
                ],
                "summary": "Get review by product id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of product to get review",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getShipingById": {
            "get": {
                "description": "Get shiping by id",
                "tags": [
                    "Shiping"
                ],
                "summary": "Get shiping by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of shiping",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getUserById": {
            "get": {
                "description": "Get user by id",
                "tags": [
                    "User"
                ],
                "summary": "Get user by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of user",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/getWishById": {
            "get": {
                "description": "Get wish by id",
                "tags": [
                    "Wish"
                ],
                "summary": "Get wish by id",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Id of wish",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/login": {
            "get": {
                "description": "Login",
                "tags": [
                    "User"
                ],
                "summary": "Login",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Email of user",
                        "name": "email",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Password of user",
                        "name": "password",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/newCart": {
            "post": {
                "description": "Create a new cart",
                "tags": [
                    "Cart"
                ],
                "summary": "Create a new cart",
                "parameters": [
                    {
                        "description": "Cart object to be created",
                        "name": "Cart",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateCart"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newCategory": {
            "post": {
                "description": "Create a new category",
                "tags": [
                    "Category"
                ],
                "summary": "Create a new category",
                "parameters": [
                    {
                        "description": "Category object to be created",
                        "name": "Category",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateCategory"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newOrder": {
            "post": {
                "description": "Create a new order",
                "tags": [
                    "Order"
                ],
                "summary": "Create a new order",
                "parameters": [
                    {
                        "description": "Order object to be created",
                        "name": "Order",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateOrder"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newOrderProduct": {
            "post": {
                "description": "Create a new order_product",
                "tags": [
                    "OrderProduct"
                ],
                "summary": "Create a new order_product",
                "parameters": [
                    {
                        "description": "OrderProduct object to be created",
                        "name": "OrderProduct",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateOrderProduct"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newProduct": {
            "post": {
                "description": "Create a new product",
                "tags": [
                    "Product"
                ],
                "summary": "Create a new product",
                "parameters": [
                    {
                        "description": "Product object to be created",
                        "name": "Product",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateProduct"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newProductImage": {
            "post": {
                "description": "Create a new product_image",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "ProductImage"
                ],
                "summary": "Create a new product_image",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "product id for which you are uploading a photo",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "The image file to upload",
                        "name": "image",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/newReview": {
            "post": {
                "description": "Create a new review",
                "tags": [
                    "Review"
                ],
                "summary": "Create a new review",
                "parameters": [
                    {
                        "description": "Review object to be created",
                        "name": "Review",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateReview"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newShiping": {
            "post": {
                "description": "Create a new shiping",
                "tags": [
                    "Shiping"
                ],
                "summary": "Create a new shiping",
                "parameters": [
                    {
                        "description": "Shiping object to be created",
                        "name": "Shiping",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateShiping"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newUser": {
            "post": {
                "description": "Create a new user",
                "tags": [
                    "User"
                ],
                "summary": "Create a new user",
                "parameters": [
                    {
                        "description": "User object to be created",
                        "name": "User",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateUser"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/newWish": {
            "post": {
                "description": "Create a new wish",
                "tags": [
                    "Wish"
                ],
                "summary": "Create a new wish",
                "parameters": [
                    {
                        "description": "Wish object to be created",
                        "name": "Wish",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.CreateWish"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/resetPassword": {
            "post": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Reset password",
                "tags": [
                    "User"
                ],
                "summary": "Reset password",
                "parameters": [
                    {
                        "description": "New password for user",
                        "name": "ResetPassword",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger_structs.ResetPassword"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateCart": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update cart",
                "tags": [
                    "Cart"
                ],
                "summary": "Update cart",
                "parameters": [
                    {
                        "description": "Cart object to be updated",
                        "name": "Cart",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Cart"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateCategory": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update category",
                "tags": [
                    "Category"
                ],
                "summary": "Update category",
                "parameters": [
                    {
                        "description": "Category object to be updated",
                        "name": "Category",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Category"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateOrder": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update order",
                "tags": [
                    "Order"
                ],
                "summary": "Update order",
                "parameters": [
                    {
                        "description": "Order object to be updated",
                        "name": "Order",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Order"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateOrderProduct": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update order_product",
                "tags": [
                    "OrderProduct"
                ],
                "summary": "Update order_product",
                "parameters": [
                    {
                        "description": "OrderProduct object to be updated",
                        "name": "OrderProduct",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.OrderProduct"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateProduct": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update product",
                "tags": [
                    "Product"
                ],
                "summary": "Update product",
                "parameters": [
                    {
                        "description": "Product object to be updated",
                        "name": "Product",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Product"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateProductImage": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update product_images",
                "tags": [
                    "ProductImage"
                ],
                "summary": "Update product_images",
                "parameters": [
                    {
                        "description": "ProductImage object to be updated",
                        "name": "ProductImage",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductImage"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateReview": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update review",
                "tags": [
                    "Review"
                ],
                "summary": "Update review",
                "parameters": [
                    {
                        "description": "Review object to be updated",
                        "name": "Review",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Review"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateShiping": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update shiping",
                "tags": [
                    "Shiping"
                ],
                "summary": "Update shiping",
                "parameters": [
                    {
                        "description": "Shiping object to be updated",
                        "name": "Shiping",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Shiping"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateUser": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update user",
                "tags": [
                    "User"
                ],
                "summary": "Update user",
                "parameters": [
                    {
                        "description": "User object to be updated",
                        "name": "User",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.User"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/updateWish": {
            "put": {
                "security": [
                    {
                        "Authorization": []
                    }
                ],
                "description": "Update wish",
                "tags": [
                    "Wish"
                ],
                "summary": "Update wish",
                "parameters": [
                    {
                        "description": "Wish object to be updated",
                        "name": "Wish",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Wish"
                        }
                    }
                ],
                "responses": {}
            }
        }
    },
    "definitions": {
        "models.Cart": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "product_id": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "models.Category": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "models.Order": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "shipping_id": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "models.OrderProduct": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                },
                "product_id": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                }
            }
        },
        "models.Product": {
            "type": "object",
            "properties": {
                "avg_rate": {
                    "type": "number"
                },
                "brand": {
                    "type": "string"
                },
                "category_id": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "model": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                },
                "reviews": {
                    "type": "integer"
                },
                "sales": {
                    "type": "integer"
                }
            }
        },
        "models.ProductImage": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "image_path": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                }
            }
        },
        "models.Review": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "message": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                },
                "rate": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "models.Shiping": {
            "type": "object",
            "properties": {
                "city": {
                    "type": "string"
                },
                "country": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "street": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                },
                "zip": {
                    "type": "integer"
                }
            }
        },
        "models.User": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "models.Wish": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "product_id": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateCart": {
            "type": "object",
            "properties": {
                "product_id": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateCategory": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                }
            }
        },
        "swagger_structs.CreateOrder": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "shipping_id": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateOrderProduct": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "integer"
                },
                "product_id": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateProduct": {
            "type": "object",
            "properties": {
                "avg_rate": {
                    "type": "number"
                },
                "brand": {
                    "type": "string"
                },
                "category_id": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "model": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                },
                "reviews": {
                    "type": "integer"
                },
                "sales": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateReview": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "message": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                },
                "rate": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateShiping": {
            "type": "object",
            "properties": {
                "city": {
                    "type": "string"
                },
                "country": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "last_name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "street": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                },
                "zip": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.CreateUser": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "swagger_structs.CreateWish": {
            "type": "object",
            "properties": {
                "product_id": {
                    "type": "integer"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "swagger_structs.ResetPassword": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "Authorization": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "Store App Swagger",
	Description:      "Swagger for Store App.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
